﻿# Projecte Eines de disseny
> **Títul:** Llums del cotxe
> **Autors:** Rujie Huang i Oriol Cau

> **Grup 2 Tarda**                                 **Curs: 2023/2024** 

--------

## Objectiu

Disseny i implementació d'un sistema de control de llums del cotxe a d'una PCB amb les següents:

a. De carretera. 
b. D’encreuement. 
c. Intermitents. 
d. Motor escombreta neteja-fars. 
 e. Sensor digital de llum, per activar les llums.


## Diagrama de Blocs

Diagrama de blocs 04/04/2024

**![](https://lh7-us.googleusercontent.com/LDbKeeaERimSAZUsv_6Pu6ireKRGRfyMyEzDCYAZxDb5hKcqlTVnzboKt4_0TgQV7m8vQiYcj3acZdXxRGnZler07oVwyRpCg5eui_OTPnHODv7pIC44Xl4ffICtxIDiAvPf1uOBWnKzLdme9b9G7BuXLQ=nw)**
## Components

| Descripció                    | Referència                  | Datasheet                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | Preu/Unitat | Unitats |
|:-----------------------------:|:---------------------------:|:--------:|:---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------:|:-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------:|:-----------:|:-------:|
| Microcontrolador              | PIC32MK0128MCA048-I/Y8X | [datasheet](https://ww1.microchip.com/downloads/aemDocuments/documents/MCU32/ProductDocuments/DataSheets/PIC32MK-Motor-Control-Family-Data-Sheet-DS60001690.pdf)                                                                                                                                                                             |  X €      | 1x      |
| Cristall 8 MHz                | LFXTAL003151Reel         | [datasheet](https://www.mouser.es/datasheet/2/741/LFXTAL003151Reel-940215.pdf)                                                                                                                                                          | X €      | 1x      |
| Cristall 32.768kHz            | VMK3-9001-32K7680000     | [datasheet](https://www.mouser.es/datasheet/2/268/VMK3_VMK4-2580709.pdf)                                                                                                                                                                | X €      | 1x      |
| Sensor de iluminació                | TSL2561       |[datasheet](https://cdn-learn.adafruit.com/downloads/pdf/tsl2561.pdf)                                                                                                                                                                       |  X €      | 1x      |
| Regulador de Tensió             | LM1117T-ADJ             | [datasheet](https://www.ti.com/lit/ds/symlink/lm1117.pdf)                                                                                                                                                                       | X €     | 1x      |
| Drivers de Llum          | ULN2803A               | [datasheet](https://pdf1.alldatasheet.com/datasheet-pdf/view/12688/ONSEMI/ULN2803A.html)                                                                                                                                                                             |  X €      | 1x      |
| Driver del Motor                    | DRV8210DSGR      | [datasheet](https://www.ti.com/lit/ds/symlink/drv8210.pdf?ts=1712826110701&ref_url=https%253A%252F%252Fwww.ti.com%252Fproduct%252FDRV8210%252Fpart-details%252FDRV8210DRLR)                                                                                                                                     | X €      | 1x      |
| Relé del intermitents            | NE555DR                | [datasheet](https://www.ti.com/lit/ds/symlink/ne555.pdf?ts=1712807205855&ref_url=https%253A%252F%252Fwww.ti.com%252Fproduct%252FNE555)                                                                                                                                                                             |  X €      | 2x      |
| Servomotor | SG90            |[datasheet](http://www.ee.ic.ac.uk/pcheung/teaching/DE1_EE/stores/sg90_datasheet.pdf)                                                                                      |  X €      | 1x      |


## Historial de canvis

| Data       | Autor      | Versió         | Descripció                                              |
| ---------- | ---------- | --------  | -------------- | ------------------------------------------------------- | ------ | ---- |
| 31/03/2024 | Oriol Cau   | V1 | Primera versió de readme                     |
| 01/04/2024 |Rujie Huang  | V2          | Segona versió de readme|
| 03/04/2024 | Rujie Huang | V1             | Primera versió del Esquemàtic|                                            
| 08/04/2024 |Rujie Huang | V2             | Modificació del esquemàtic  
| 11/04/2024 | Rujie Huang |   V3 | Revisió final del esquemàtic   
| 11/04/2024 | Rujie Huang | V1           | Primera versió de layout                                
| 11/04/2024|  Oriol Cau | V3 | Tercera versió de readme
| 14/04/2024 |Rujie Huang  |V2| Segona versió layout




